Name:           ircp-tray
Version:        0.7.6
Release:        10%{?dist}
Summary:        Infrared file transfer tray icon

Group:          Applications/Internet
License:        GPLv2+
URL:            https://launchpad.net/ircp-tray
Source0:        http://launchpad.net/ircp-tray/0.7/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         ircp-tray-0.7.6-sysconfig.patch
Patch1:         ircp-tray-0.7.6-libnotify.patch
Patch2:         ircp-tray-0.7.6-openobex17.patch
# https://bugs.launchpad.net/ircp-tray/+bug/1257946
Patch3:         ircp-tray-0.7.6-formatsec.patch

BuildRequires:  intltool gettext
BuildRequires:  libnotify-devel
BuildRequires:  gtk2-devel
BuildRequires:  openobex-devel
BuildRequires:  desktop-file-utils
BuildRequires:  autoconf automake

%description
Ircp-Tray is am infrared file transfer program. It stays inside your system
tray, listening for incoming OBEX file transfer request, as well as sending
file out to remote devices via IrDA.


%prep
%setup -q
%patch0 -p1 -b .sysconfig
%patch1 -p1 -b .libnotify
%patch2 -p1 -b .openobex17
%patch3 -p1 -b .formatsec


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/ircp-tray.desktop
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%{_bindir}/ircp-tray
%{_datadir}/applications/ircp-tray.desktop
%{_datadir}/icons/hicolor/*/apps/ircp-tray*.png
%doc AUTHORS CONTRIBUTORS COPYING NEWS README


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Dec 04 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.7.6-5
- Fix build with -Werror=format-security

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.7.6-4
- Bulk sad and useless attempt at consistent SPEC file formatting
- Fix build with openobex 1.7

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 29 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.6-1
- Update to 0.7.6
- Update libnotify.patch
- Change /etc/default/irda-utils to /etc/sysconfig/irda

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.7.4-4
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 07 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.7.4-2
- Fix build with newer gtk
- Fix build with newer libnotify

* Wed Feb 17 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.7.4-1
- Fix build
- Update to later upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.7.3-2
- Fix dependencies, validate desktop files (thanks to Dan Horak)

* Sun Dec 28 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.7.3-1
- Initial packaging
